Detalhe da execução
curl --request GET \
--url https://api.notifique.dev/v1/automations/{automationId}/runs/{runId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/automations/{automationId}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/automations/{automationId}/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/automations/{automationId}/runs/{runId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"workspaceId": "<string>",
"automationId": "<string>",
"contactId": "<string>",
"eventName": "<string>",
"payloadJson": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"steps": [
{
"id": "<string>",
"stepKey": "<string>",
"attempt": 1,
"createdAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"outputJson": {}
}
],
"sourceApiKeyId": "<string>",
"fireId": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}
Runs
Detalhe da execução
Mostra passos e status de uma execução.
GET
/
v1
/
automations
/
{automationId}
/
runs
/
{runId}
Detalhe da execução
curl --request GET \
--url https://api.notifique.dev/v1/automations/{automationId}/runs/{runId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/automations/{automationId}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/automations/{automationId}/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/automations/{automationId}/runs/{runId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"workspaceId": "<string>",
"automationId": "<string>",
"contactId": "<string>",
"eventName": "<string>",
"payloadJson": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"steps": [
{
"id": "<string>",
"stepKey": "<string>",
"attempt": 1,
"createdAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"outputJson": {}
}
],
"sourceApiKeyId": "<string>",
"fireId": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}
Autorizações
ntfAutoBearerAuthntfAutoApiKeyHeader
Authorization: Bearer sk_live_...
Parâmetros de caminho
Cuid da automação.
Cuid da AutomationRun.
Esta página foi útil?
⌘I

